﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;
using Telerik.Windows.Documents.UI;

namespace RGV_SL5_Print_PrintPreview
{
    public partial class MainPage : UserControl
    {
        IEnumerable<string> exportFormats;
        public IEnumerable<string> ExportFormats
        {
            get
            {
                if (exportFormats == null)
                {
                    exportFormats = new string[] { "Excel", "Word", "Csv", "Pdf" };
                }

                return exportFormats;
            }
        }
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            if (clubsGrid != null)
            {
                clubsGrid.PrintPreview(new PrintSettings());
            }
        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {
            if (clubsGrid != null)
            {
                clubsGrid.Print(new PrintSettings());
            }
        }
    }
}
